Bug 1022063 - socat: out-of-range shifts
socat: out-of-range shifts
Status: MODIFIED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: socat (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Paul Wouters
BaseOS QE Security Team
:
Depends On:
Blocks: 1019961 1085024
  Show dependency treegraph
 
Reported: 2013-10-22 11:07 EDT by Florian Weimer
Modified: 2017-10-03 21:24 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.7.3.1-1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Weimer 2013-10-22 11:07:54 EDT
Shifting ints by 32 bits (bits == 0) may not give the expected result in xioparsenetwork_ip4() in xio-ip4.c:
      netmask_in->s_addr = htonl((0xffffffff << (32-bits)));
xioparsenetwork_ip6() has a similar problem (with 128).

Such out-of-range shifts are undefined and the outcome differs on different architectures.
Comment 2 Gerhard 2014-03-10 17:07:25 EDT
Has been fixed in upstream release 1.7.2.4

Note You need to log in before you can comment on or make changes to this bug.